> For the complete documentation index, see [llms.txt](https://docs.waldo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.waldo.ai/api-reference.md).

# API Reference

- [Authentication](https://docs.waldo.ai/api-reference/authentication.md): Endpoint to authenticate your account. The API will return a token to authorize subsequent API requests.
- [Customer Onboarding](https://docs.waldo.ai/api-reference/customer-onboarding.md): Endpoint to onboard a customer. The API responds with customer validation information.
- [KYC History](https://docs.waldo.ai/api-reference/kyc-history.md): Endpoint to read a customer's KYC/AML history
- [Get Customer](https://docs.waldo.ai/api-reference/get-customer.md): Endpoint to read a customer
- [Document Upload](https://docs.waldo.ai/api-reference/document-upload.md): Endpoint to upload a customer's document
- [Check Fraud](https://docs.waldo.ai/api-reference/check-fraud.md): Endpoint to execute a fraud evaluation for an existing customer
- [Fraud History](https://docs.waldo.ai/api-reference/fraud-history.md): Endpoint to read a customer's fraud history
- [Flag Customer](https://docs.waldo.ai/api-reference/flag-customer.md): Endpoint to read a customer


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.waldo.ai/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
